// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wBranchDiffPane:
//   Displays output of the diff2 -q -b branch command


#ifndef p4wBranchDiffPane_H
#define p4wBranchDiffPane_H

#include "p4wPane.h"

class p4wBranchDiffPane : public p4wPane {

public:

				p4wBranchDiffPane( p4wView & ParentView, 
					p4wRequest & Request );
	virtual			~p4wBranchDiffPane();

	virtual	void		Begin();
	virtual	void		RenderInfo( char *data, char level );
	virtual	void		RenderError( char *data, int escapeHTML );
	virtual	void		End();
	
private:
	int			fDiffsFound;
};

#endif // p4wBranchDiffPane_H
