//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wChangePane:
//   Displays the submitted change spec either as a form or read-only

#include <p4wp4.h>

#include "p4wStrBuf.h"
#include "p4wHtml.h"

#include "p4wPane.h"
#include "p4wChangePane.h"


p4wChangePane::p4wChangePane( p4wView & ParentView, p4wRequest & Request, int isForm )
	: p4wSpecPane( ParentView, Request, isForm )
{
}

p4wChangePane::~p4wChangePane()
{
}

// -------------------------------------
// Overrides for spec panes.
//
int p4wChangePane::IgnoreField( const char * field )
{
	//
	// See if this is one of the fields to ignore
	
	if( !strcmp( field, "Files" ) )
		return 1;
	else
		return 0;
}

int p4wChangePane::CustomField( const char * field, StrDict * varList, int len, SpecElem *se )
{
	//
	// Process our custom fields.
	
	return 0;
}


void p4wChangePane::GetAction( StrBuf & actionURL )
{
	//
	// Constructs url used for the form ACTION value

	ConstructAction( AC_CHANGECMD, NULL, 1, actionURL );
}
