//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wEditLocalProcessorPane:
//   Holds output of a p4 fstat command

#ifndef p4wEditLocalProcessorPane_H
#define p4wEditLocalProcessorPane_H

#include "p4wPane.h"


class StrDict;


class p4wEditLocalProcessorPane : public p4wPane {

public:

	p4wEditLocalProcessorPane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wEditLocalProcessorPane();


	//
	// Render functions.
	
	virtual	void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual void	RenderInfo( char *data, char level );
	virtual	void	End();

	StrBuf			fClientFile;
	StrBuf			fFileType;
	char *			fErrMsg;
};

#endif // p4wEditLocalProcessorPane_H
