//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wAboutPane:
//   Generates a page with p4web version, browser version and server info

#ifndef p4wAboutPane_H
#define p4wAboutPane_H

#include "p4wPane.h"

class StrDict;

class p4wAboutPane : public p4wPane {

public:

	p4wAboutPane( p4wView & ParentView, p4wRequest & Request );
	virtual ~p4wAboutPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void RenderInfo( char *data, char level );
	virtual void Render( StrDict *varList );
	virtual	void End();	
};

#endif // p4wAboutPane_H
