//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wBranchPane:
//   Displays output of the branch command

#ifndef p4wBranchPane_H
#define p4wBranchPane_H

#include "p4wSpecPane.h"

class StrDict;


class p4wBranchPane : public p4wSpecPane {

public:

	p4wBranchPane( p4wView & ParentView, p4wRequest & Request, int isForm );
	virtual	~p4wBranchPane();

	//
	// Overrides for spec panes.

	virtual	int IgnoreField( const char * field );
	virtual	int CustomField( const char * field, StrDict * varList,
		int len = 0, SpecElem *se = NULL );
		
	virtual void	GetAction( StrBuf & actionURL );
	virtual void	RenderInfo( char *data, char level );
};

#endif // p4wBranchPane_H
