//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLabelReplacePane::
//   Generates form to replace contents of a label

#ifndef p4wLabelReplacePane_H
#define p4wLabelReplacePane_H

#include "p4wRunPane.h"

class StrDict;

class p4wLabelReplacePane : public p4wRunPane {

public:

	p4wLabelReplacePane( p4wView & ParentView, p4wRequest & Request );
	virtual		~p4wLabelReplacePane();
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	void	Render( StrDict * varList );
	
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int len, SpecElem *se ) { return 0; };
};

#endif // p4wLabelReplacePane_H
