// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wUpdatePane:
//   The update pane.

#ifndef p4wUpdatePane_H
#define p4wUpdatePane_H


//
// Includes
#include "p4wPane.h"


//
// External classes
class StrDict;


#define NUM_RECENT_CHANGES_RESULTS 5
#define NUM_RECENT_CHANGES_RESULTS_STRING "5"

//
// p4wUpdatePane class
class p4wUpdatePane : public p4wPane {

public:
	//
	// Constructors and destructor.
						p4wUpdatePane(p4wView & ParentView, p4wRequest & Request, StrPtr & path);
	virtual				~p4wUpdatePane();

	//
	// Render functions.
	
	void DrawPane();
	

private:	

	int latestChange;
	ChangesHelper * depotRange;	// p4 changes -m n //depot/...
};

#endif // p4wUpdatePane_H
